## Unit test for ENTMQBR-782

Very basic test that runs five producers and five consumers, all connected to
the same queue on *external* broker.
With multiple producers and consumers the JMX queue counters for
"Messages added" and "Messages acknowledged" get out of sync after a while.

At the end of the test it queries the queue's JMX stats for 
"Messages added" and "Messages acknowledged". They should have an equal count.
If not, the test fails.

This unit test does not run an embedded broker but connects to an external broker.
The broker needs to have Jolokia deployed as the test queries the queue JMX stats using
jolokia.
The problem used to reproduce much quicker on AMQ 7.0 and 7.0.1 but takes a little longer on 7.0.2.

## PREPARING

open src/main/java/org.apache.activemq.artemis.tests.IncorrectQueueStatsTest.java and update
the value for BROKERURL, JOLOKIAURL and BROKERNAME.

## COMPILING
mvn clean test-compile



## RUNNING

Make sure to follow section PREPARING first. 

If needed create a broker named testBroker:
./bin/artemis create --allow-anonymous --name testBroker --user admin --password admin --cluster-user admin --cluster-password admin --role admin --queues TEST.QUEUE ./testBroker 

When running a broker named testBroker, there is no need to update BROKERNAME in unit test

mvn test

